com.sun.jna.platform.win32

## Class WinCrypt.HCRYPTPROV_LEGACY

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.BaseTSD.ULONG_PTR
      - - com.sun.jna.platform.win32.WinCrypt.HCRYPTPROV_LEGACY

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  WinCrypt

    public static class WinCrypt.HCRYPTPROV_LEGACY
    extends BaseTSD.ULONG_PTR

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HCRYPTPROV_LEGACY()`
`HCRYPTPROV_LEGACY(long value)`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.BaseTSD.ULONG_PTR

`toPointer`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HCRYPTPROV_LEGACY

    public HCRYPTPROV_LEGACY()

#### HCRYPTPROV_LEGACY

    public HCRYPTPROV_LEGACY(long value)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.